import { WebGPUProgram } from '@tensorflow/tfjs-backend-webgpu';
export default class PackProgram implements WebGPUProgram {
    outputShape: number[];
    shaderKey: string;
    dispatchLayout: {
        x: number[];
    };
    dispatch: [number, number, number];
    workgroupSize: [number, number, number];
    variableNames: string[];
    uniforms?: string;
    size: boolean;
    outputComponent: number;
    scaling: boolean;
    padding: number;
    constructor(outShape: number[], padding?: number);
    useScaling(): void;
    getUserCode(): string;
}
